SessionCheckInterceptor

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.springframework.web.servlet.handler
Class SessionCheckInterceptor

    java.lang.Object
      org.springframework.web.servlet.handler.HandlerInterceptorAdapter
          org.openswing.springframework.web.servlet.handler.SessionCheckInterceptor

All Implemented Interfaces:
  org.springframework.web.servlet.HandlerInterceptor

public class SessionCheckInterceptor
extends org.springframework.web.servlet.handler.HandlerInterceptorAdapter

Title: OpenSwing Framework

Description: Handler interceptor used to check if Command object contains a session identifier: only HTTP requests having a session identifier are allowed to be processed (except when Command.getMethodName() = "login").

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`SessionCheckInterceptor()`

Method Summary
`java.lang.String` | `getLoginMethodName()`
`boolean` | `preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)`
`void` | `setLoginMethodName(java.lang.String loginMethodName)` Set the value of Command.getMethodName() that is recognized as a request to login, so it is always accepted.
`void` | `setObjectReceiver(ObjectReceiver objectReceiver)` Set the receiver class used in combination with "ClientUtils.getData" method to comunicate with a remote client via HTTP.

Methods inherited from class org.springframework.web.servlet.handler.HandlerInterceptorAdapter
`afterCompletion, postHandle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionCheckInterceptor

    public SessionCheckInterceptor()

Method Detail

### setObjectReceiver

    public final void setObjectReceiver(ObjectReceiver objectReceiver)

  Set the receiver class used in combination with "ClientUtils.getData" method to comunicate with a remote client via HTTP.

  Parameters:
    `objectReceiver` - receiver class to use

### preHandle

    public final boolean preHandle(javax.servlet.http.HttpServletRequest request,
                                   javax.servlet.http.HttpServletResponse response,
                                   java.lang.Object handler)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getLoginMethodName

    public final java.lang.String getLoginMethodName()

  Returns:
    value of Command.getMethodName() that is recognized as a request to login, so it is always accepted

### setLoginMethodName

    public final void setLoginMethodName(java.lang.String loginMethodName)

  Set the value of Command.getMethodName() that is recognized as a request to login, so it is always accepted.

  Parameters:
    `loginMethodName` - value of Command.getMethodName() that is recognized as a request to login, so it is always accepted

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD